; greyNeOn/theme.jl



(let*
  (
    (font (get-font "-*-lucida-medium-r-normal-*-*-100-*-*-p-*-iso8859-1"))
    (font-colors (list "black" "white"))
    
	(title-images (list (set-image-border
	                    (make-image "title-bar-inactive.png") 30 30 0 0)
			    (set-image-border
                            (make-image "title-bar-active.png")30 30 0 0)))

        (inset-images (list (set-image-border
	                    (make-image "title-inset-inactive.png") 10 10 0 0)
	                    (set-image-border
			    (make-image "title-inset-active.png")10 10 0 0)))

     	(iconify-images (list (make-image "iconify-normal.png")
			      nil
			      (make-image "iconify-active.png")
                              (make-image "iconify-clicked.png")))

     	(maximize-images (list (make-image "maximize-normal.png")
                               nil
			       (make-image "maximize-active.png")
  	 		       (make-image "maximize-clicked.png")))

     	(close-images (list (make-image "close-normal.png")
			    nil
			    (make-image "close-active.png")
                            (make-image "close-clicked.png")))

         (menu-images (list (make-image "menu-normal.png")
	                    nil
			    (make-image "menu-active.png") 
			    (make-image "menu-clicked.png")))

     	(border-top (make-image "border_top.png"))
     	(border-bottom (make-image "border_bottom.png"))
     	(border-right (make-image "border_right.png"))
     	(border-left (make-image "border_left.png"))

     	(corner-tl (make-image "corner_top_left.png"))
     	(corner-tr (make-image "corner_top_right.png"))
     	(corner-bl (make-image "corner_bottom_left.png"))
     	(corner-br (make-image "corner_bottom_right.png"))
				

     	(frame `(
		 
		((background . ,border-top)
		 (top-edge . -9)
		 (right-edge . 0)
                 (left-edge . 0)
                 (class . top-border))
		 
		((background . ,border-left)
		 (top-edge . 0)
		 (bottom-edge . 0)
                 (left-edge . -9)
                 (class . left-border))
		 
		((background . ,corner-tl)
		 (top-edge . -9)
		 (left-edge . -9)
		 (class . top-left-corner))
								   
                ((background . ,corner-tr)
                 (top-edge . -9)
		 (right-edge . -9)
		 (class . top-right-corner))
		 
		((background . ,corner-bl)
		 (bottom-edge . -9)
		 (left-edge . -9)
		 (class . bottom-left-corner))
		 
		((background . ,title-images)
		 (foreground . ,font-colors)
		 (top-edge . -16)
                 (left-edge . 15)
                 (right-edge . 15)
		 (class . title))
		 		 
		 ((background . ,inset-images)
		  (foreground . ,font-colors)
		  (font . ,font)
		  (text . ,window-name)
		  (x-justify . center)
                  (y-justify . center)
		  (top-edge . -14)		  
		  (left-edge . 30)
		  (right-edge . 30)
		  (class . title))

		((background . ,iconify-images)
      		 (top-edge . 57)
		 (left-edge . -15) 
		 (class . iconify-button))

                ((background . ,menu-images)
		 (top-edge . 85)
		 (left-edge . -15)
		 (class . menu-button))

     		((background . ,maximize-images)
      		 (top-edge . 29)
      		 (left-edge . -15)
      		 (class . maximize-button))

    		((background . ,close-images)
      		 (top-edge . 1)
      		 (left-edge . -15)
      		 (class . close-button))

     		((background . ,border-right)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -9)
      		 (class . right-border))

     		((background . ,border-bottom)
      		 (bottom-edge . -9)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-br)
      		 (bottom-edge . -9)
      		 (right-edge . -9) 
      		 (class . bottom-right-corner))
	))

	(shaped-frame `(
		 
		((background . ,title-images)
		 (top-edge . -16)
		 (left-edge . 15)
                 (right-edge . 15)
                 (class . title))
		 
		((background . ,inset-images)
		 (foreground . ,font-colors)
		 (font . ,font)
                 (text . ,window-name)
	         (x-justify . center)
		 (y-justify . center)
		 (top-edge . -14)
                 (left-edge . 30)
                 (right-edge . 30)
		 (class . title))
		

	))

	(transient-frame `(

     		((background . ,border-left)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -9) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -9)
      		 (class . right-border))

	     	((background . ,border-top)
      		 (top-edge . -9)
      		 (right-edge . 0)
      		 (left-edge . 0) 
      		 (class . title))

     		((background . ,border-bottom)
      		 (bottom-edge . -9)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-tl)
      		 (top-edge . -9)
      		 (left-edge . -9)
      		 (class . top-left-corner))

     		((background . ,corner-tr)
      		 (top-edge . -9)
      		 (right-edge . -9)
      		 (class . top-right-corner))

     		((background . ,corner-bl)
      		 (bottom-edge . -9)
      		 (left-edge . -9)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br)
      		 (bottom-edge . -9)
      		 (right-edge . -9) 
      		 (class . bottom-right-corner))
	))
	
	(shaped-transient-frame `(
                ((background . ,border-top)
		 (top-edge . -9)
		 (right-edge . 0)
                 (left-edge . 0)
                 (class . top-border))
		 
		((background . ,corner-tl)
		 (top-edge . -9)
                 (left-edge . -9)
                 (class . top-left-corner))
      
     		((background . ,title-images)
      		 (top-edge . -16)
      		 (left-edge . 0)
      		 (right-edge . 0)
      		 (class . title))
		 
		 ((background . ,inset-images)
		  (foreground . ,font-colors)
		  (font . ,font)
		  (text . ,window-name)
                  (x-justify . center)
		  (y-justify . center)
		  (top-edge . -14)
		  (left-edge . 16)
                  (right-edge . 26)
		  (class . title))				    

     		((background . ,close-images)
      		 (top-edge . -10)
      		 (left-edge . -15)
      		 (class . close-button))

	))
	
  )
  (add-frame-style 'greyNeOn
    	(lambda (w type)   
          (cond 
	      ((eq type 'shaped) shaped-frame)
              ((eq type 'transient) transient-frame)
              ((eq type 'shaped-transient) shaped-transient-frame)
              ((eq type 'unframed) nil-frame)
              (t frame)))))
